Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class IdopontId

    java.lang.Object
      orarend.IdopontId

All Implemented Interfaces:
  java.io.Serializable

    public class IdopontId

extends java.lang.Object
implements java.io.Serializable

Az Idopontok tábla ID elemeit tartalmazza

Author:
  Csipkés László
See Also:
  Serialized Form

Field Summary
`protected int` | `hanyadikora`
`protected java.lang.String` | `napnev`

Constructor Summary
`IdopontId()` Üres konstruktor
`IdopontId(java.lang.String nev, int ora)` A paraméterként kapott névből és órából új Idopontok kulcspárt hoz létre

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getHanyadikora()`
`java.lang.String` | `getNapnev()`
`void` | `setHanyadikora(int i)`
`void` | `setNapnev(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### napnev

    protected java.lang.String napnev

### hanyadikora

    protected int hanyadikora

Constructor Detail

### IdopontId

    public IdopontId()

  Üres konstruktor

### IdopontId

    public IdopontId(java.lang.String nev,
                     int ora)

  A paraméterként kapott névből és órából új Idopontok kulcspárt hoz létre

  Parameters:
    `nev` - napnév
    `ora` - hanyadikóa

Method Detail

### getNapnev

    public java.lang.String getNapnev()

### setNapnev

    public void setNapnev(java.lang.String s)

### getHanyadikora

    public int getHanyadikora()

### setHanyadikora

    public void setHanyadikora(int i)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD